Bug 887978 - F18 PPC64 requires VSX extensions
F18 PPC64 requires VSX extensions
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
18
ppc64 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-17 12:59 EST by Gustavo Luiz Duarte
Modified: 2014-02-05 08:57 EST (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 08:57:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
qemu-system-ppc64 -M pseries -m 1024 -nographic -net nic -net user -cdrom /dev/sr0 -boot d gustavold.img (158.29 KB, text/x-log)
2012-12-17 12:59 EST, Gustavo Luiz Duarte
no flags Details

  None (edit)
Description Gustavo Luiz Duarte 2012-12-17 12:59:12 EST
Created attachment 665019 [details]
qemu-system-ppc64 -M pseries -m 1024 -nographic -net nic -net user -cdrom /dev/sr0 -boot d gustavold.img

Description of problem:
Installation begins but eventually it gets stuck. Attached the output of an install attempt passing the boot parameters rdshell rdinitdebug rd.break.

The qemu command line used:
# qemu-img -f raw gustavold.img 5G
# qemu-system-ppc64 -M pseries -m 1024 -nographic -net nic -net user -cdrom /dev/sr0 -boot d gustavold.img

Install media used:
http://ppc.koji.fedoraproject.org/stage/f18-20121216.n/ppc64/iso/Fedora-18-ppc64-DVD.iso


Version-Release number of selected component (if applicable):
qemu-1.2.0-16.fc18.ppc64

How reproducible:
Always
Comment 1 Cole Robinson 2012-12-18 16:56:55 EST
can you try with updates qemu?

yum --enablerepo=updates-testing update qemu\*

tbh RH doesn't have much qemu PPC expertise, that's you guys (IBM) :)

benh, dgibson, any thoughts?
Comment 2 David Gibson 2012-12-18 21:26:10 EST
Hrm.  Not a lot to go on there.  What is the host system?  Also F18?
Comment 3 Gustavo Luiz Duarte 2012-12-19 12:57:06 EST
Host system is F18.
I tried qemu-1.2.2-1.fc18.ppc64 and it also gets stuck the same way.

Modifying how much log to be printed (rdinitdebug rdudevdebug rdnetdebug) changes how far it gets, but it gets stuck nonetheless. These logs are not very helpful though.

I was able to get to the dracut shell passing rd.break=pre-pivot, however the console doesn't respond (can't type anything).
Comment 4 Harald Hoyer 2013-01-23 10:17:04 EST
(In reply to comment #3)
> Host system is F18.
> I tried qemu-1.2.2-1.fc18.ppc64 and it also gets stuck the same way.
> 
> Modifying how much log to be printed (rdinitdebug rdudevdebug rdnetdebug)
> changes how far it gets, but it gets stuck nonetheless. These logs are not
> very helpful though.

Try this:

"rd.shell rd.debug log_buf_len=10M systemd.log_target=kmsg systemd.log_level=debug"
Comment 5 Harald Hoyer 2013-01-23 10:48:02 EST
(In reply to comment #4)
> (In reply to comment #3)
> > Host system is F18.
> > I tried qemu-1.2.2-1.fc18.ppc64 and it also gets stuck the same way.
> > 
> > Modifying how much log to be printed (rdinitdebug rdudevdebug rdnetdebug)
> > changes how far it gets, but it gets stuck nonetheless. These logs are not
> > very helpful though.
> 
> Try this:
> 
> "rd.shell rd.debug log_buf_len=10M systemd.log_target=kmsg
> systemd.log_level=debug"

bug does not seem to be in the initramfs.

Use
"log_buf_len=10M systemd.log_target=kmsg systemd.log_level=debug loglevel=7"
Comment 6 David Gibson 2013-03-19 22:23:30 EDT
I think I know what is happening here - I've recently hit problems running F18 under qemu full emulation that could also explain this.

It appears that at least some packages in F18 have been compiled with options which can generate VSX instructions.  These are not currently emulated in qemu and it's quite a big job to add the necessary support.  We do supply the device tree parameter informing the kernel that VSX is not supported, but that doesn't help when VSX instructions are compiled into userspace.

If I'm correct about this, it also means that F18 will be broken on PowerPC 970 (aka G5) machines.
Comment 7 Paolo Bonzini 2013-03-20 11:07:59 EDT
This is a regression (if unintended) from F17.
Comment 8 Richard W.M. Jones 2013-08-30 05:50:17 EDT
If you think my test here is correct:

https://lists.fedoraproject.org/pipermail/ppc/2013-August/002405.html

then you would conclude this bug has been fixed in Fedora 19.
Comment 9 Fedora End Of Life 2013-12-21 04:57:01 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2014-02-05 08:57:45 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.